[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.HasChildren

Indicates whether the tree node has child nodes.

## Declaration

Source position: comctrls.pp line 3157

`public property TTreeNode.HasChildren : Boolean read GetHasChildren write SetHasChildren;`

## Description

HasChildren is a Boolean property which indicates whether the tree node has child nodes.

The property value is True when States includes the value nsHasChildren. Items is not used to determine the property value.

Setting a new value for the property causes States to be updated to include or exclude nsHasChildren to reflect the new value. When the value is False, child nodes in the Items property are freed.

The Update method is called to refresh the associated TreeView control (when assigned).